-- Version: English (by Cera)
-- Last Update: 07/09/2006

SpellTips.Spells = {};
SpellTips.Talents = {};

if (SpellTips.Class == "PRIEST") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 0.428, 	name = "Desperate Prayer",	pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.428, 	name = "Flash Heal",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.857,	name = "Greater Heal",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 1,		name = "Heal",			pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.1,	name = "Power Word: Shield",	pattern = "to (%d+)",		pattern2 = "absorbing (%d+)" },
	{ school = "HEAL",	bonus = 0.286,	name = "Prayer of Healing",	pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 1,		name = "Renew",			pattern = "to (%d+)",		pattern2 = "of (%d+)" },
	{ school = "ARCANEDMG",	bonus = 1,		name = "Starshards",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.5,	name = "Holy Fire",		pattern = "to (%d+)",		pattern2 = "cause (%d+)",		bonus2 = 0.333,	pattern3 = "additional (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.714,	name = "Smite",			pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.5,	name = "Devouring Plague",	pattern = "to (%d+)",		pattern2 = "causes (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.428,	name = "Mind Blast",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.453,	name = "Mind Flay",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Shadow Word: Pain",	pattern = "to (%d+)",		pattern2 = "causes (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.2,	name = "Shadowguard",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.1,	name = "Touch of Weakness",	pattern = "to (%d+)",		pattern2 = "cause (%d+)" },

	--Holy Nova gets seperate boosts from +dmg and +healing
	{ school = "HOLYDMG",	bonus = 0.1,	name = "Holy Nova",		pattern = "to (%d+) Holy",	pattern2 = "causing (%d+) to" },
	{ school = "HEAL",	bonus = 0.1,	name = "Holy Nova",		pattern = "for ... to (%d+)",	pattern2 = "for (%d+) to" },
	};

	SpellTips.Talents = {
	{ tree = 1,	branch = 14,	Fire = 0,		Frost = 0,		Arcane = 0.01,	Shadow = 0.01,	Nature = 0,		Holy = 0.01 },
	{ tree = 2,	branch = 11,	Fire = 0,		Frost = 0,		Arcane = 0,		Shadow = 0,		Nature = 0,		Holy = 0.05 },
	{ tree = 3,	branch = 15,	Fire = 0,		Frost = 0,		Arcane = 0,		Shadow = 0.02,	Nature = 0,		Holy = 0 },
	};
end

if (SpellTips.Class == "SHAMAN") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 0.714, 	name = "Chain Heal",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.0175, 	name = "Healing Stream Totem",	pattern = "to (%d+)",	pattern2 = "for (%d+) to" },
	{ school = "HEAL",	bonus = 0.857, 	name = "Healing Wave",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.428, 	name = "Lesser Healing Wave",	pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "FIREDMG",	bonus = 0.143, 	name = "Fire Nova Totem",	pattern = "to (%d+)",		pattern2 = "inflicts (%d+)" },
	{ school = "FIREDMG",	bonus = 0.214,	name = "Flame Shock",		pattern = "to (%d+)",		pattern2 = "causing (%d+)",		bonus2 = 0.4,	pattern3 = "and (%d+)" },
	{ school = "FIREDMG",	bonus = 0.1,	name = "Flametongue Weapon",	pattern = "to (%d+)",		pattern2 = "causes (%d+)" },
	{ school = "FIREDMG",	bonus = 0.033, 	name = "Magma Totem",		pattern = "to (%d+)",		pattern2 = "causes (%d+)" },
	{ school = "FIREDMG",	bonus = 0.08, 	name = "Searing Totem",		pattern = "to (%d+)",		pattern2 = "for (%d+) to" },
	{ school = "FROSTDMG",	bonus = 0.1,	name = "Frostbrand Weapon",	pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.38,	name = "Frost Shock",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.714,	name = "Chain Lightning",	pattern = "to (%d+)",		pattern2 = "dealing (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.38,	name = "Earth Shock",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.857,	name = "Lightning Bolt",	pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.2,	name = "Lightning Shield",	pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	};

	SpellTips.Talents = {
	{ tree = 1,	branch = 2,		Fire = 0.01,	Frost = 0.01,	Arcane = 0,		Shadow = 0,		Nature = 0.01,	Holy = 0 },
	};
end

if (SpellTips.Class == "PALADIN") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 0.428, 	name = "Flash of Light",	pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.714, 	name = "Holy Light",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.143,	name = "Consecration",		pattern = "to (%d+)",		pattern2 = "doing (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.428,	name = "Exorcism",		pattern = "to (%d+)",		pattern2 = "causes (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.428,	name = "Hammer of Wrath",	pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.428,	name = "Holy Shock",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.190,	name = "Holy Wrath",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	};
end

if (SpellTips.Class == "DRUID") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 1,		name = "Healing Touch",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.286,	name = "Regrowth",		pattern = "to (%d+)",		pattern2 = "for (%d+)",			bonus2 = 0.5,	pattern3 = "another (%d+)" },
	{ school = "HEAL",	bonus = 0.8,	name = "Rejuvenation",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.2,	name = "Tranquility",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "ARCANEDMG",	bonus = 0.214,	name = "Moonfire",		pattern = "to (%d+)",		pattern2 = "for (%d+)",			bonus2 = 0.4,	pattern3 = "additional (%d+)" },
	{ school = "ARCANEDMG",	bonus = 1,		name = "Starfire",		pattern = "to (%d+)",		pattern2 = "Causes (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.428,	name = "Entangling Roots",	pattern = "to (%d+)",		pattern2 = "causes (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.066,	name = "Hurricane",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.8,	name = "Insect Swarm",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.571,	name = "Wrath",			pattern = "to (%d+)",		pattern2 = "Causes (%d+)" },
	};

	SpellTips.Talents = {
	{ tree = 1,	branch = 15,	Fire = 0,		Frost = 0,		Arcane = 0.02,	Shadow = 0,		Nature = 0,		Holy = 0 },
	};
end

if (SpellTips.Class == "WARLOCK") then
	SpellTips.Spells = {
--	{ school = "HEAL",	bonus = 0.066,	name = "Health Funnel",		pattern = "to (%d+)",		pattern2 = "Gives (%d+)" },
	{ school = "FIREDMG",	bonus = 0.428,	name = "Conflagrate",		pattern = "to (%d+)",		pattern2 = "dealing (%d+)" },
	{ school = "FIREDMG",	bonus = 0.022,	name = "Hellfire",		pattern = "causing ... to (%d+)",		pattern2 = "causing (%d+) to" },
	{ school = "FIREDMG",	bonus = 0.022,	name = "Hellfire",		pattern = "and ... to (%d+)",		pattern2 = "and (%d+) to" },
	{ school = "FIREDMG",	bonus = 0.286,	name = "Immolate",		pattern = "to (%d+)",		pattern2 = "for (%d+)",			bonus2 = 0.5,	pattern3 = "additional (%d+)" },
	{ school = "FIREDMG",	bonus = 0.333,	name = "Rain of Fire",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "FIREDMG",	bonus = 0.428,	name = "Searing Pain",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "FIREDMG",	bonus = 1,		name = "Soul Fire",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Corruption",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Curse of Agony",	pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Curse of Doom",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.428,	name = "Death Coil",		pattern = "to (%d+)",		pattern2 = "causes (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.066,	name = "Drain Life",		pattern = "to (%d+)",		pattern2 = "Transfers (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Drain Soul",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.857,	name = "Shadow Bolt",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.428,	name = "Shadowburn",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.05,	name = "Siphon Life",		pattern = "to (%d+)",		pattern2 = "Transfers (%d+)" },
	};

	SpellTips.Talents = {
	{ tree = 1,	branch = 16,	Fire = 0,		Frost = 0,		Arcane = 0,		Shadow = 0.02,	Nature = 0,		Holy = 0 },
	{ tree = 3,	branch = 15,	Fire = 0.02,	Frost = 0,		Arcane = 0,		Shadow = 0,		Nature = 0,		Holy = 0 },
	};
end

if (SpellTips.Class == "MAGE") then
	SpellTips.Spells = {
	{ school = "ARCANEDMG",	bonus = 0.143,	name = "Arcane Explosion",	pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "ARCANEDMG",	bonus = 0.24,	name = "Arcane Missiles",	pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "FIREDMG",	bonus = 0.128,	name = "Blast Wave",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "FIREDMG",	bonus = 1,		name = "Fireball",		pattern = "to (%d+) Fire damage and",	pattern2 = "causes (%d+) to" },
	{ school = "FIREDMG",	bonus = 0.428,	name = "Fire Blast",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "FIREDMG",	bonus = 0.156,	name = "Flamestrike",		pattern = "to (%d+) Fire damage and",	pattern2 = "area for (%d+) to" },
	{ school = "FIREDMG",	bonus = 0.128,	name = "Flamestrike",		pattern = "to (%d+) Fire damage over",	pattern2 = "additional (%d+) to" },
	{ school = "FIREDMG",	bonus = 1,		name = "Pyroblast",		pattern = "to (%d+) Fire damage and",	pattern2 = "causes (%d+) to" },
	{ school = "FIREDMG",	bonus = 0.60,	name = "Pyroblast",		pattern = "to (%d+) Fire damage over",	pattern2 = "additional (%d+) to" },
	{ school = "FIREDMG",	bonus = 0.428,	name = "Scorch",			pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.333,	name = "Blizzard",		pattern = "to (%d+)",		pattern2 = "doing (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.128,	name = "Cone of Cold",		pattern = "to (%d+)",		pattern2 = "take (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.030,	name = "Frost Nova",		pattern = "to (%d+)",		pattern2 = "for (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.814,	name = "Frostbolt",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.1,	name = "Ice Barrier",		pattern = "to (%d+)",		pattern2 = "absorbing (%d+)" },
	};

	SpellTips.Talents = {
	{ tree = 1,	branch = 15,	Fire = 0.01,	Frost = 0.01,	Arcane = 0.01,	Shadow = 0,		Nature = 0,		Holy = 0 },
	{ tree = 2,	branch = 15,	Fire = 0.02,	Frost = 0,		Arcane = 0,		Shadow = 0,		Nature = 0,		Holy = 0 },
	{ tree = 3,	branch = 8,		Fire = 0,		Frost = 0.02,	Arcane = 0,		Shadow = 0,		Nature = 0,		Holy = 0 },
	};
end

if (SpellTips.Class == "HUNTER") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 0.066,	name = "Mend Pet",		pattern = "to (%d+)",		pattern2 = "pet (%d+)" },
	{ school = "ARCANEDMG",	bonus = 0.428,	name = "Arcane Shot",		pattern = "to (%d+)",		pattern2 = "causes (%d+)" },
	{ school = "ARCANEDMG",	bonus = 0.055,	name = "Volley",			pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "NATUREDMG",	bonus = 1,		name = "Serpent Sting",		pattern = "to (%d+)",		pattern2 = "causing (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.8,	name = "Wyvern Sting",		pattern = "to (%d+)",		pattern2 = "causes (%d+)" },
	};
end


SpellTips.Cooldown = "Cooldown remaining";
SpellTips.Reagents = "Reagents";
SpellTips.Tools = "Tools";
SpellTips.Rank = "Rank";


