
FeralSkills_Settings = {
	["Shred"] = {
		["AutoShift"] = false,
		["Rip"] = {
			["MinHealthEnabled"] = true,
			["MinHealth"] = 25,
			["HighArmor"] = true,
			["ComboPoints"] = 5,
			["Enabled"] = true,
		},
		["Pounce"] = {
			["Enabled"] = true,
			["Modifier"] = 2,
			["ModifierEnabled"] = false,
			["GroupOnly"] = true,
		},
		["FerociousBite"] = {
			["MaxHealthEnabled"] = true,
			["MinEnergy"] = 35,
			["MinEnergyEnabled"] = true,
			["Killshot"] = true,
			["Enabled"] = true,
			["ComboPoints"] = 5,
			["MaxHealth"] = 30,
		},
		["TigersFury"] = {
			["Enabled"] = true,
			["Extra"] = true,
		},
		["FaerieFire"] = {
			["Enabled"] = true,
			["NotDebuffed"] = true,
		},
		["Cower"] = {
			["Enabled"] = true,
			["Aggroed"] = true,
		},
	},
	["Maul"] = {
		["AutoShift"] = false,
		["DemoralizingRoar"] = {
			["Enabled"] = true,
			["MinRageEnabled"] = true,
			["MinRage"] = 19,
			["NotDebuffed"] = true,
		},
		["FeralCharge"] = {
			["Enabled"] = true,
		},
		["Growl"] = {
			["Enabled"] = true,
			["NotAggroed"] = true,
			["TargetTargetSquishy"] = true,
		},
		["FaerieFire"] = {
			["Enabled"] = true,
			["NotDebuffed"] = true,
		},
		["Enrage"] = {
			["MaxRage"] = 10,
			["Enabled"] = true,
			["MaxRageEnabled"] = true,
		},
		["Swipe"] = {
			["Enabled"] = true,
			["MinRageEnabled"] = true,
			["MinRage"] = 35,
			["GroupOnly"] = false,
		},
	},
	["Shift"] = {
		["Cat"] = {
			["Enabled"] = false,
			["Prowl"] = false,
			["Modifier"] = 1,
			["Caster"] = false,
		},
		["Bear"] = {
			["Enrage"] = false,
			["Modifier"] = 2,
			["Enabled"] = false,
			["Caster"] = false,
		},
		["Mount"] = {
			["Enabled"] = false,
			["Spell"] = "Disabled",
			["Name"] = "Disabled",
			["SpellEnabled"] = false,
			["Modifier"] = 4,
		},
		["Travel"] = {
			["Enabled"] = false,
			["Modifier"] = 3,
			["Caster"] = false,
		},
	},
	["DontAutoTarget"] = true,
	["Claw"] = {
		["AutoShift"] = false,
		["Rake"] = {
			["Enabled"] = true,
			["MinHealth"] = 50,
			["HighArmor"] = true,
			["MinHealthEnabled"] = true,
		},
		["Rip"] = {
			["MinHealthEnabled"] = true,
			["MinHealth"] = 25,
			["HighArmor"] = true,
			["ComboPoints"] = 5,
			["Enabled"] = true,
		},
		["FerociousBite"] = {
			["MaxHealthEnabled"] = false,
			["MinEnergy"] = 35,
			["MinEnergyEnabled"] = true,
			["Killshot"] = true,
			["Enabled"] = true,
			["ComboPoints"] = 5,
			["MaxHealth"] = 30,
		},
		["TigersFury"] = {
			["Enabled"] = true,
			["Extra"] = true,
		},
		["FaerieFire"] = {
			["Enabled"] = true,
			["NotDebuffed"] = true,
		},
		["Cower"] = {
			["Enabled"] = true,
			["Aggroed"] = true,
		},
	},
	["TrackImmunities"] = true,
}
FeralSkills_Immunities = {
	["Feral Charge Effect"] = {
		["Firesworn"] = true,
		["Razorgore the Untamed"] = true,
		["Bloodlord Mandokir"] = true,
		["Grethok the Controller"] = true,
		["Vaelastrasz the Corrupt"] = true,
		["Ohgan"] = true,
		["Death Talon Wyrmguard"] = true,
	},
	["Starfire"] = {
		["Blackwing Spellbinder"] = true,
	},
	["Rip"] = {
		["Lava Surger"] = true,
		["Firesworn"] = true,
		["Firewalker"] = true,
		["Ragnaros"] = true,
		["Flameguard"] = true,
		["Lava Annihilator"] = true,
		["Lava Elemental"] = true,
		["Lava Reaver"] = true,
		["Firelord"] = true,
	},
	["Pounce"] = {
		["Lava Surger"] = true,
		["Lava Annihilator"] = true,
	},
	["Moonfire"] = {
		["Ahtasoul"] = true,
		["Blackwing Spellbinder"] = true,
	},
	["Ravage"] = {
		["Bertok"] = true,
	},
	["Growl"] = {
		["Nefarian"] = true,
		["Vaelastrasz the Corrupt"] = true,
		["Razorgore the Untamed"] = true,
	},
	["Bash"] = {
		["Bloodlord Mandokir"] = true,
	},
	["Wrath"] = {
		["Blackwing Spellbinder"] = true,
	},
	["Faerie Fire (Feral)"] = {
		["Hakkari Priest"] = true,
		["Magma Totem IV"] = true,
		["Earthbind Totem"] = true,
		["Blackwing Spellbinder"] = true,
		["Atal'ai Deathwalker's Spirit"] = true,
	},
	["Cower"] = {
		["Atal'ai Deathwalker's Spirit"] = true,
	},
	["Claw"] = {
		["Atal'ai Deathwalker's Spirit"] = true,
		["Vicen"] = true,
	},
	["Demoralizing Roar"] = {
		["Firesworn"] = true,
	},
	["Hibernate"] = {
		["Death Talon Seether"] = true,
	},
}
