-- Version: German (by Cera)
-- Last Update: 07/09/2006

	-- Special Keys in German:
	--  =  \195\132
	--  =  \195\150
	--  =  \195\156
	--  =  \195\164
	--  =  \195\182
	--  =  \195\188
	--  =  \195\159

if ( GetLocale() == "deDE" ) then

if (SpellTips.Class == "PRIEST") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 0.428, 	name = "Verzweifeltes Gebet",		pattern = "bis (%d+)",		pattern2 = "um (%d+)" },
	{ school = "HEAL",	bonus = 0.428, 	name = "Blitzheilung",			pattern = "bis (%d+)",		pattern2 = "um (%d+)" },
	{ school = "HEAL",	bonus = 0.857,	name = "Gro\195\159e Heilung",	pattern = "bis (%d+)",		pattern2 = "um (%d+)" },
	{ school = "HEAL",	bonus = 1,		name = "Heilen",				pattern = "bis (%d+)",		pattern2 = "um (%d+)" },
	{ school = "HEAL",	bonus = 0.1,	name = "Machtwort: Schild",		pattern = "xx (%d+)",		pattern2 = "dabei (%d+)" },
	{ school = "HEAL",	bonus = 0.286,	name = "Gebet der Heilung",		pattern = "bis (%d+)",		pattern2 = "um (%d+)" },
	{ school = "HEAL",	bonus = 1,		name = "Erneuerung",			pattern = "bis (%d+)",		pattern2 = "um (%d+)" },
	{ school = "ARCANEDMG",	bonus = 1,		name = "Sternensplitter",		pattern = "bis (%d+)",		pattern2 = "lang (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.5,	name = "Heiliges Feuer",		pattern = "bis (%d+)",		pattern2 = "die (%d+)",			bonus2 = 0.333,	pattern3 = "zus.tzlich (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.714,	name = "G.ttliche Pein",		pattern = "bis (%d+)",		pattern2 = "ihm (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.5,	name = "Verschlingende Seuche",	pattern = "xx (%d+)",		pattern2 = "lang (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.428,	name = "Gedankenschlag",		pattern = "bis (%d+)",		pattern2 = "mit (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.453,	name = "Gedankenschinden",		pattern = "bis (%d+)",		pattern2 = "verursacht (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Schattenwort: Schmerz",	pattern = "bis (%d+)",		pattern2 = "lang (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.2,	name = "Schattenschild",		pattern = "bis (%d+)",		pattern2 = "erleidet (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.1,	name = "Ber.hrung der Schw.che",	pattern = "bis (%d+)",		pattern2 = "verursacht (%d+)" },

	--Holy Nova gets seperate boosts from +dmg and +healing
	{ school = "HOLYDMG",	bonus = 0.1,	name = "Heilige Nova",			pattern = "bis (%d+) Punkt(e) Heiligschaden",	pattern2 = "Metern (%d+) bis" },
	{ school = "HEAL",	bonus = 0.1,	name = "Heilige Nova",			pattern = "bis (%d+) Punkte(e) geheilt.",		pattern2 = "um (%d+)" },
	};
end

if (SpellTips.Class == "SHAMAN") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 0.714, 	name = "Kettenheilung",			pattern = "bis (%d+)",		pattern2 = "um (%d+)" },
	{ school = "HEAL",	bonus = 0.0175, 	name = "Totem des heilenden Flusses",	pattern = "bis (%d+)",	pattern2 = "um (%d+) bis" },
	{ school = "HEAL",	bonus = 0.857, 	name = "Welle der Heilung",		pattern = "bis (%d+)",		pattern2 = "um (%d+)" },
	{ school = "HEAL",	bonus = 0.428, 	name = "Geringe Welle der Heilung",	pattern = "bis (%d+)",		pattern2 = "um (%d+)" },
	{ school = "FIREDMG",	bonus = 0.143, 	name = "Totem der Feuernova",		pattern = "bis (%d+)",		pattern2 = "Metern (%d+)" },
	{ school = "FIREDMG",	bonus = 0.214,	name = "Flammenschock",			pattern = "bis (%d+)",		pattern2 = "unmittelbar (%d+)",	bonus2 = 0.4,	pattern3 = "sowie (%d+)" },
	{ school = "FIREDMG",	bonus = 0.1,	name = "Waffe der Flammenzunge",	pattern = "bis (%d+)",		pattern2 = "zus.tzlich (%d+)" },
	{ school = "FIREDMG",	bonus = 0.033, 	name = "Totem der gl.henden Magma",	pattern = "bis (%d+)",		pattern2 = "Sekunden (%d+)" },
	{ school = "FIREDMG",	bonus = 0.08, 	name = "Totem der Verbrennung",	pattern = "bis (%d+)",		pattern2 = "und (%d+) bis" },
	{ school = "FROSTDMG",	bonus = 0.1,	name = "Waffe des Frostbrands",	pattern = "bis (%d+)",		pattern2 = "zus.tzlich (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.38,	name = "Frostschock",			pattern = "bis (%d+)",		pattern2 = "verursacht (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.714,	name = "Blitzschlag",			pattern = "bis (%d+)",		pattern2 = "ihm (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.38,	name = "Erdschock",			pattern = "bis (%d+)",		pattern2 = "verursacht (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.857,	name = "Blitzschlag",			pattern = "bis (%d+)",		pattern2 = "ihm (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.2,	name = "Blitzschlagschild",		pattern = "bis (%d+)",		pattern2 = "erleidet (%d+)" },
	};
end

if (SpellTips.Class == "PALADIN") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 0.428, 	name = "Lichtblitz",			pattern = "bis (%d+)",		pattern2 = "um (%d+)" },
	{ school = "HEAL",	bonus = 0.714, 	name = "Heiliges Licht",		pattern = "bis (%d+)",		pattern2 = "um (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.143,	name = "Weihe",				pattern = "bis (%d+)",		pattern2 = "betreten. (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.428,	name = "Exorzismus",			pattern = "bis (%d+)",		pattern2 = "Verursacht (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.428,	name = "Hammer des Zorns",		pattern = "bis (%d+)",		pattern2 = "f.gt (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.428,	name = "Heiliger Schock",		pattern = "bis (%d+)",		pattern2 = "verursacht (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.190,	name = "Heiliger Zorn",			pattern = "bis (%d+)",		pattern2 = "dabei (%d+)" },
	};
end

if (SpellTips.Class == "DRUID") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 1,		name = "Heilende Ber.hrung",		pattern = "bis (%d+)",		pattern2 = "um (%d+)" },
	{ school = "HEAL",	bonus = 0.286,	name = "Nachwachsen",			pattern = "bis (%d+)",		pattern2 = "um (%d+)",			bonus2 = 0.5,	pattern3 = "weitere (%d+)" },
	{ school = "HEAL",	bonus = 0.8,	name = "Verjngung",			pattern = "bis (%d+)",		pattern2 = "lang (%d+)" },
	{ school = "HEAL",	bonus = 0.2,	name = "Gelassenheit",			pattern = "bis (%d+)",		pattern2 = "Sekunden (%d+)" },
	{ school = "ARCANEDMG",	bonus = 0.214,	name = "Mondfeuer",			pattern = "bis (%d+)",		pattern2 = "ihm (%d+)",			bonus2 = 0.4,	pattern3 = "lang (%d+)" },
	{ school = "ARCANEDMG",	bonus = 1,		name = "Sternenfeuer",			pattern = "bis (%d+)",		pattern2 = "Verursacht (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.428,	name = "Wucherwurzeln",			pattern = "bis (%d+)",		pattern2 = "lang (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.066,	name = "Hurrikan",			pattern = "bis (%d+)",		pattern2 = "Sek. (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.8,	name = "Insektenschwarm",		pattern = "bis (%d+)",		pattern2 = "sec (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.571,	name = "Zorn",				pattern = "bis (%d+)",		pattern2 = "Verursacht (%d+)" },
	};
end

if (SpellTips.Class == "WARLOCK") then
	SpellTips.Spells = {
--	{ school = "HEAL",	bonus = 0.066,	name = "Lebenslinie",			pattern = "bis (%d+)",		pattern2 = "Sekunde (%d+)" },
	{ school = "FIREDMG",	bonus = 0.428,	name = "Feuersbrunst",			pattern = "bis (%d+)",		pattern2 = "f.gt (%d+)" },
	{ school = "FIREDMG",	bonus = 0.022,	name = "H.llenfeuer",			pattern = "selbst ... bis (%d+)",	pattern2 = "selbst (%d+) bis" },
	{ school = "FIREDMG",	bonus = 0.022,	name = "H.llenfeuer",			pattern = "Feinden ... bis (%d+)",	pattern2 = "Feinden (%d+) bis" },
	{ school = "FIREDMG",	bonus = 0.286,	name = "Feuerbrand",			pattern = "bis (%d+)",		pattern2 = "f.gt (%d+)",		bonus2 = 0.5,	pattern3 = "lang (%d+)" },
	{ school = "FIREDMG",	bonus = 0.333,	name = "Feuerregen",			pattern = "bis (%d+)",		pattern2 = "mit (%d+)" },
	{ school = "FIREDMG",	bonus = 0.428,	name = "Sengender Schmerz",		pattern = "bis (%d+)",		pattern2 = "verursacht (%d+)" },
	{ school = "FIREDMG",	bonus = 1,		name = "Seelenfeuer",			pattern = "bis (%d+)",		pattern2 = "verursacht (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Verderbnis",			pattern = "bis (%d+)",		pattern2 = "verursacht (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Fluch der Pein",		pattern = "bis (%d+)",		pattern2 = "lang (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Fluch der Verdammnis",	pattern = "bis (%d+)",		pattern2 = "min (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.428,	name = "Todesmantel",			pattern = "bis (%d+)",		pattern2 = "Verursacht (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.066,	name = "Blutsauger",			pattern = "bis (%d+)",		pattern2 = "Sekunde (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Seelendieb",			pattern = "bis (%d+)",		pattern2 = "lang (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.857,	name = "Schattenblitz",			pattern = "bis (%d+)",		pattern2 = "verursacht (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.428,	name = "Schattenbrand",			pattern = "bis (%d+)",		pattern2 = "mit (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.05,	name = "Lebensentzug",			pattern = "bis (%d+)",		pattern2 = "Sek. (%d+)" },
	};
end

if (SpellTips.Class == "MAGE") then
	SpellTips.Spells = {
	{ school = "ARCANEDMG",	bonus = 0.143,	name = "Arkane Explosion",		pattern = "bis (%d+)",		pattern2 = "Metern (%d+)" },
	{ school = "ARCANEDMG",	bonus = 0.24,	name = "Arkane Geschosse",		pattern = "bis (%d+)",		pattern2 = "Sekunde (%d+)" },
	{ school = "FIREDMG",	bonus = 0.128,	name = "Druckwelle",			pattern = "bis (%d+)",		pattern2 = "hineingeraten. (%d+)" },
	{ school = "FIREDMG",	bonus = 1,		name = "Feuerball",			pattern = "bis (%d+)",		pattern2 = "die (%d+)" },
	{ school = "FIREDMG",	bonus = 0.428,	name = "Feuerschlag",			pattern = "bis (%d+)",		pattern2 = "mit (%d+)" },
	{ school = "FIREDMG",	bonus = 0.156,	name = "Flammensto.",			pattern = "bis (%d+) Punkt",	pattern2 = "zun.chst (%d+) to" },
	{ school = "FIREDMG",	bonus = 0.128,	name = "Flammensto.",			pattern = "lang ... bis (%d+) Punkt",	pattern2 = "lang (%d+)" },
	{ school = "FIREDMG",	bonus = 1,		name = "Pyroschlag",			pattern = "bis (%d+) Punkt",	pattern2 = "der (%d+) to" },
	{ school = "FIREDMG",	bonus = 0.60,	name = "Pyroschlag",			pattern = "lang ... bis (%d+) Punkt",	pattern2 = "lang (%d+)" },
	{ school = "FIREDMG",	bonus = 0.428,	name = "Versengen",			pattern = "bis (%d+)",		pattern2 = "ihm (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.333,	name = "Blizzard",			pattern = "bis (%d+)",		pattern2 = "lang (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.128,	name = "K.ltekegel",			pattern = "bis (%d+)",		pattern2 = "erleiden (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.030,	name = "Frostnova",			pattern = "bis (%d+)",		pattern2 = "Feinden (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.814,	name = "Frostblitz",			pattern = "bis (%d+)",		pattern2 = "der (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.1,	name = "Eis-Barriere",			pattern = "bis (%d+)",		pattern2 = "absorbiert (%d+)" },
	};
end

if (SpellTips.Class == "HUNTER") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 0.066,	name = "Tier heilen",			pattern = "bis (%d+)",		pattern2 = "um (%d+)" },
	{ school = "ARCANEDMG",	bonus = 0.428,	name = "Arkaner Schuss",		pattern = "bis (%d+)",		pattern2 = "der (%d+)" },
	{ school = "ARCANEDMG",	bonus = 0.055,	name = "Salve",				pattern = "bis (%d+)",		pattern2 = "Sekunde (%d+)" },
	{ school = "NATUREDMG",	bonus = 1,		name = "Schlangenbiss",			pattern = "bis (%d+)",		pattern2 = "lang (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.8,	name = "Aufschlitzen",			pattern = "bis (%d+)",		pattern2 = "damit (%d+)" },
	};
end


SpellTips.Cooldown = "Abklingzeit";
SpellTips.Reagents = "Reagenzien";
SpellTips.Tools = "Werkzeuge";
SpellTips.Rank = "Rang";


end;