-- Version: French (by the_nuru)
-- Last Update: 07/09/2006

	-- Special keys in French:
	-- : C3 A9  - \195\169
	-- : C3 AA  - \195\170
	-- : C3 A0  - \195\160
	-- : C3 AE  - \195\174
	-- : C3 A8  - \195\168
	-- : C3 AB  - \195\171
	-- : C3 B4  - \195\180
	-- : C3 BB  - \195\187
	-- : C3 A2  - \195\162
	-- : C3 A7  - \185\167
	--
	-- ': E2 80 99  - \226\128\153


if ( GetLocale() == "frFR" ) then

if (SpellTips.Class == "PRIEST") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 0.428, 	name = "Pri.re de d.sespoir",		pattern = "\195\160 (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.428, 	name = "Soins rapides",			pattern = "\195\160 (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.857,	name = "Soins sup.rieus",		pattern = "\195\160 (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 1,		name = "Soins",				pattern = "\195\160 (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.1,	name = "Mot de pouvoir : Bouclier",	pattern = "\195\160 (%d+)",		pattern2 = "absorbe (%d+)" },
	{ school = "HEAL",	bonus = 0.286,	name = "Pri.res de soins",		pattern = "\195\160 (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 1,		name = "R.novation",			pattern = "\195\160 (%d+)",		pattern2 = "cible de (%d+)" },
	{ school = "ARCANEDMG",	bonus = 1,		name = "Eclats stellaires",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.5,	name = "Flammes sacr.es",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)",		bonus2 = 0.333,	pattern3 = "puis (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.714,	name = "Ch.timent",			pattern = "\195\160 (%d+)",		pattern2 = "infligeant (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.5,	name = "Peste D.vorante",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.428,	name = "Attaque Mentale",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.453,	name = "Fouet mental",			pattern = "\195\160 (%d+)",		pattern2 = "faisant (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Mot de l'ombre : Douleur",	pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.2,	name = "Garde de l'ombre",		pattern = "\195\160 (%d+)",		pattern2 = "encaisse (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.1,	name = "Toucher de faiblesse",	pattern = "\195\160 (%d+)",		pattern2 = "Ajoute un bonus de (%d+)" },

	--Holy Nova gets seperate boosts from +dmg and +healing
	{ school = "HOLYDMG",	bonus = 0.1,	name = "Nova sacr.e",			pattern = "encaissent (%d+)",		pattern2 = "\195\160 (%d+) points de d.g.ts sacr.s" },
	{ school = "HEAL",	bonus = 0.1,	name = "Nova sacr.e",			pattern = "soign.s de (%d+)",		pattern2 = "\195\160 (%d+) points de vie" },
	};
end

if (SpellTips.Class == "SHAMAN") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 0.714, 	name = "Salve de gu.rison",		pattern = "\195\160 (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.0175, 	name = "Totem gu.risseur",		pattern = "\195\160 (%d+)",	pattern2 = "de (%d+) \195\160" },
	{ school = "HEAL",	bonus = 0.857, 	name = "Vague de soins",		pattern = "\195\160 (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.428, 	name = "Vague de soins mineurs",	pattern = "\195\160 (%d+)",		pattern2 = "for (%d+)" },
	{ school = "FIREDMG",	bonus = 0.143, 	name = "Totem Nova de feu",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "FIREDMG",	bonus = 0.214,	name = "Horion de flammes",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)",		bonus2 = 0.4,	pattern3 = "puis (%d+)" },
	{ school = "FIREDMG",	bonus = 0.1,	name = "Arme langue de feu",		pattern = "\195\160 (%d+)",		pattern2 = "inflige de (%d+)" },
	{ school = "FIREDMG",	bonus = 0.033, 	name = "Totem de Magma",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "FIREDMG",	bonus = 0.08, 	name = "Totem incendiaire",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+) \195\160" },
	{ school = "FROSTDMG",	bonus = 0.1,	name = "Arme de givre",			pattern = "\195\160 (%d+)",		pattern2 = "infliger (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.38,	name = "Horion de givre",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.714,	name = "Chaine d'eclairs",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.38,	name = "Horion de terre",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.857,	name = "Eclair",				pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.2,	name = "Bouclier de foudre",		pattern = "\195\160 (%d+)",		pattern2 = "encaisse (%d+)" },
	};
end

if (SpellTips.Class == "PALADIN") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 0.428, 	name = "Eclair lumineux",		pattern = "\195\160 (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.714, 	name = "Feu sacr.e",			pattern = "\195\160 (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.143,	name = "Cons.cration",			pattern = "\195\160 (%d+)",		pattern2 = "faisant (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.428,	name = "Exorcisme",			pattern = "\195\160 (%d+)",		pattern2 = "faisant (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.428,	name = "Marteau de courroux",		pattern = "\195\160 (%d+)",		pattern2 = "faisant (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.428,	name = "Horion sacr.e",			pattern = "\195\160 (%d+)",		pattern2 = "faisant (%d+)" },
	{ school = "HOLYDMG",	bonus = 0.190,	name = "Col.re divine",			pattern = "\195\160 (%d+)",		pattern2 = "faisant (%d+)" },
	};
end

if (SpellTips.Class == "DRUID") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 1,		name = "Toucher gu.risseur",		pattern = "\195\160 (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.286,	name = "R.tablissement",		pattern = "\195\160 (%d+)",		pattern2 = "for (%d+)",			bonus2 = 0.5,	pattern3 = "another (%d+)" },
	{ school = "HEAL",	bonus = 0.8,	name = "R.cup.ration",			pattern = "\195\160 (%d+)",		pattern2 = "for (%d+)" },
	{ school = "HEAL",	bonus = 0.2,	name = "Tranquilit.",			pattern = "\195\160 (%d+)",		pattern2 = "for (%d+)" },
	{ school = "ARCANEDMG",	bonus = 0.214,	name = "Eclat lunaire",			pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)",		bonus2 = 0.4,	pattern3 = "puis (%d+)" },
	{ school = "ARCANEDMG",	bonus = 1,		name = "Feu stellaire",			pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.428,	name = "Sarments",			pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.066,	name = "Ouragan",				pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.8,	name = "Essaim d'insectes",		pattern = "\195\160 (%d+)",		pattern2 = "elle subit (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.571,	name = "Col.re",				pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	};
end

if (SpellTips.Class == "WARLOCK") then
	SpellTips.Spells = {
--	{ school = "HEAL",	bonus = 0.066,	name = "Concentration de vie",	pattern = "\195\160 (%d+)",		pattern2 = "Donne (%d+)" },
	{ school = "FIREDMG",	bonus = 0.428,	name = "Conflagration",			pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "FIREDMG",	bonus = 0.022,	name = "Flammes infernales",		pattern = "\195\160 ... .. (%d+) points de",	pattern2 = "\195\160 (%d+) .. ... points de" },
	{ school = "FIREDMG",	bonus = 0.022,	name = "Flammes infernales",		pattern = "et inflige ... .. (%d+)",		pattern2 = "et inflige (%d+) .. ..." },
	{ school = "FIREDMG",	bonus = 0.286,	name = "Immolation",			pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)",		bonus2 = 0.5,	pattern3 = "puis (%d+)" },
	{ school = "FIREDMG",	bonus = 0.333,	name = "Pluie de feu",			pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "FIREDMG",	bonus = 0.428,	name = "Douleur br.lante",		pattern = "\195\160 (%d+)",		pattern2 = "subit (%d+)" },
	{ school = "FIREDMG",	bonus = 1,		name = "Feu de l'.me",			pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Corruption",			pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Mal.diction d'agonie",	pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Mal.diction funeste",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.428,	name = "Voile mortel",			pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.066,	name = "Drain de vie",			pattern = "\195\160 (%d+)",		pattern2 = "Transf.re (%d+)" },
	{ school = "SHADOWDMG",	bonus = 1,		name = "Siphon d'.me",			pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.857,	name = "Trait de l'ombre",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.428,	name = "Br.lure de l'ombre",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "SHADOWDMG",	bonus = 0.05,	name = "Siphon de vie",			pattern = "\195\160 (%d+)",		pattern2 = "Transf.re (%d+)" },
	};
end

if (SpellTips.Class == "MAGE") then
	SpellTips.Spells = {
	{ school = "ARCANEDMG",	bonus = 0.143,	name = "Explosion des arcanes",	pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "ARCANEDMG",	bonus = 0.24,	name = "Projectiles des arcanes",	pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "FIREDMG",	bonus = 0.128,	name = "Vague d'explosions",		pattern = "\195\160 (%d+)",		pattern2 = "fait (%d+)" },
	{ school = "FIREDMG",	bonus = 1,		name = "Boule de feu",			pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "FIREDMG",	bonus = 0.428,	name = "Trait de feu",			pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "FIREDMG",	bonus = 0.156,	name = "Choc de flammes",		pattern = "\195\160 (%d+) points de",	pattern2 = "inflige (%d+) \195\160" },
	{ school = "FIREDMG",	bonus = 0.128,	name = "Choc de flammes",		pattern = "(%d+) \195\160 ... points de d.g.ts de feu suppl.mentaires",		pattern2 = "\195\160 (%d+) points de d.g.ts de feu suppl.mentaires" },
	{ school = "FIREDMG",	bonus = 1,		name = "Explosion pyrotechnique",	pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "FIREDMG",	bonus = 0.60,	name = "Explosion pyrotechnique",	pattern = "et ... \195\160 (%d+)",	pattern2 = "et (%d+)" },
	{ school = "FIREDMG",	bonus = 0.428,	name = "Br.lure",				pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.333,	name = "Blizzard",			pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.128,	name = "C.ne de froid",			pattern = "\195\160 (%d+)",		pattern2 = "subissent (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.030,	name = "Nova de glace",			pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.814,	name = "Eclair de givre",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "FROSTDMG",	bonus = 0.1,	name = "Barri.re de glace",		pattern = "\195\160 (%d+)",		pattern2 = "absorbe (%d+)" },
	};
end

if (SpellTips.Class == "HUNTER") then
	SpellTips.Spells = {
	{ school = "HEAL",	bonus = 0.066,	name = "Gu.rison du familier",	pattern = "\195\160 (%d+)",		pattern2 = "cr.ature de (%d+)" },
	{ school = "ARCANEDMG",	bonus = 0.428,	name = "Tir des arcanes",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "ARCANEDMG",	bonus = 0.055,	name = "Salve",				pattern = "\195\160 (%d+)",		pattern2 = "faisant (%d+)" },
	{ school = "NATUREDMG",	bonus = 1,		name = "Morsure de serpent",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	{ school = "NATUREDMG",	bonus = 0.8,	name = "Piq.re de vip.re",		pattern = "\195\160 (%d+)",		pattern2 = "inflige (%d+)" },
	};
end


SpellTips.Cooldown = "Temps de recharge restant";
SpellTips.Reagents = "Composants";
SpellTips.Tools = "Outils";
SpellTips.Rank = "Rang";


end;